apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: ssh-operator-0.0.2
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: ssh-operator
      name: ssh-operator
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: ssh-operator
      sizing:
        increment: 0
        initial: 1
        maximum: 1
        minimum: 1
      topologyqueries:
        - flags:
            - key: operator_identifier
              value: ssh-operator
            - key: v1_role
              value: ssh
          format: array
          groupby:
            - v1_clusterid
            - v1_role
          name: allnodes
          scope: global
  includes:
    - name: defaults-operator
      vendor: asag
      version: 0.4.1
  name: ssh-operator
  operator:
    flags:
      - from: value
        key: operator_identifier
        to: label
        value: ssh-operator
    version: "1.0"
  settings:
    - name: environment
      schema:
        default: ssh_prod
  version: 0.0.2
